aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck/yash6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/yash b/check/yash
new file mode 100755
index 00000000..fb737596
--- /dev/null
+++ b/check/yash
@@ -0,0 +1,6 @@
+#!/bin/sh
+for yash in yash/* ; do
+ [ -f "$yash" ] || continue
+ yash -n "$yash" || exit
+done
+printf 'All yash scripts parsed successfully.\n'